"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var js_cookie_1 = __importDefault(require("js-cookie"));
var unauthenticatedCookies = {
    lastUser: null,
    idToken: null,
    accessToken: null,
};
// returns all auth cookies
function getCognitoCookieInfo(cookieString, userPoolWebClientId) {
    if (!userPoolWebClientId)
        // To fix this issue, call
        // Amplify.configure({ Auth: { userPoolWebClientId: <userPoolClientId> } })
        throw new Error("Missing configuration value for userPoolWebClientId in Amplify's Auth");
    if (!cookieString)
        return unauthenticatedCookies;
    var keyPrefix = "CognitoIdentityServiceProvider." + userPoolWebClientId;
    var lastUser = js_cookie_1.default.get(keyPrefix + ".LastAuthUser") || null;
    var idTokenKey = lastUser ? keyPrefix + "." + lastUser + ".idToken" : null;
    var idToken = (idTokenKey && js_cookie_1.default.get(idTokenKey)) || null;
    var accessTokenKey = lastUser
        ? keyPrefix + "." + lastUser + ".accessToken"
        : null;
    var accessToken = (accessTokenKey && js_cookie_1.default.get(accessTokenKey)) || null;
    return { lastUser: lastUser, idToken: idToken, accessToken: accessToken };
}
exports.getCognitoCookieInfo = getCognitoCookieInfo;
